package com.goafanti.common.enums;

public enum AchievementDataCategory {
	 IntellectualProperty(0,"知识产权"),
	PracticalTechnology(1,"实用技术"),
	TechieProduct(2,"科技产品"),
	Unknow(-1,"未知类型")
	;
		int i;
		String name;
		
		private AchievementDataCategory(int i, String name) {
			this.i = i;
			this.name = name;
		}

		public int getI() {
			return i;
		}

		public void setI(int i) {
			this.i = i;
		}

		public String getName() {
			return name;
		}

		public void setName(String name) {
			this.name = name;
		}
		public static AchievementDataCategory find(int i)
		{
			for(AchievementDataCategory achievementCategory:values())
			{
				if(achievementCategory.getI()==i)return achievementCategory;
			}
			return Unknow;
		}

}
